%define ver       0.9
%define rel       1
%define prefix    /usr

Summary: Sound player with the WinAmp GUI, for Unix-based systems
# just until it's released, so they're not mixed
Name: xmms
Version: %ver
Release: %rel
Copyright: GPL
Group: X11/Multimedia
Vendor: Peter Alm, Mikael Alm, Olle Hllns, Thomas Nilsson and others.
Packager: Lyle Kempler <kempler@utdallas.edu>
Url: http://www.xmms.bz.nu/
Source: http://www.xmms.bz.nu/xmms-%{ver}.tar.gz
BuildRoot: /var/tmp/xmms-%{PACKAGE_VERSION}-root
Requires: glib >= 1.2.2
Requires: gtk+ >= 1.2.2

%description
XMMS is a sound player written from scratch. Since it uses the WinAmp
GUI, it can use WinAmp skins, and play mp3s, mods, s3ms, and other 
formats. It now has support for input, output, and general plugins, and
has also been GPL'd.

%package mikmod
Summary: Sound player with the WinAmp GUI, for Unix-based systems
Group: X11/Multimedia
Requires: xmms
Requires: libmikmod >= 3.1.5

%description mikmod
Input plugin for XMMS to play MODs (.MOD,.XM,.S3M, etc)

%package esd
Summary: Sound player with the WinAmp GUI, for Unix-based systems
Group: X11/Multimedia
Requires: xmms
Requires: esound >= 0.2.8

%description esd
Output plugin for xmms for use with the esound package

%package gnome
Summary: Sound player with the WinAmp GUI, for Unix-based systems
Group: X11/Multimedia
Requires: xmms
Requires: gnome-libs >= 1.0.0

%description gnome
GNOME applet for controlling xmms from the GNOME panel

%package devel
Summary: Sound player with the WinAmp GUI, for Unix-based systems
Group: X11/Multimedia
Requires: xmms

%description devel
Static libraries and header files required for compiling xmms plugins.


%prep
%setup -n xmms-%{ver}

%build
rm -rf $RPM_BUILD_ROOT
if [ -f "./configure" ]
then
  ./configure --prefix=%prefix
else
  ./autogen.sh --prefix=%prefix
fi

make

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%install
make prefix=${RPM_BUILD_ROOT}%prefix install

%changelog
* Fri Apr 09 1999 Lyle Kempler <kempler@utdallas.edu>
- initial version

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{prefix}/bin/xmms
%{prefix}/bin/wmxmms
%{prefix}/lib/libxmms.so.*
%{prefix}/lib/xmms/Input/libcdaudio*
%{prefix}/lib/xmms/Input/libmpg123*
%{prefix}/lib/xmms/Input/libwav*
%{prefix}/lib/xmms/Output/libOSS*
%{prefix}/lib/xmms/Output/libdisk_writer*
%{prefix}/lib/xmms/General/*
%{prefix}/lib/xmms/Effect/*
%{prefix}/share/xmms/*

%files mikmod
%defattr(-, root, root)
%{prefix}/lib/xmms/Input/libmikmod*

%files esd
%defattr(-, root, root)
%{prefix}/lib/xmms/Output/libesdout*

%files gnome
%defattr(-, root, root)
%{prefix}/bin/gnomexmms
%{prefix}/etc/*
%{prefix}/share/applets/*

%files devel
%defattr(-, root, root)

%{prefix}/lib/lib*.so
%{prefix}/lib/lib*.a
%{prefix}/include/*
